Skip to main content

Namespace properties are configurations that affect a whole namespace. They may affect different areas, like authorization, managing caching mechanisms in the processing pipelines, etc. They can only be configured by administrators. Namespace properties are built as python dictionaries.

How To Update Namespace Properties

To update namespace properties, follow these steps:

  1. Use the GET /ewx/v1/billingaccount/billingaccount/namespace/{id} endpoint to fetch the current configuration.
  2. Locate the "properties": [...] array in the JSON response and copy them.
  3. Go to the PUT /ewx/v1/billingaccount/billingaccount/namespace/properties endpoint to update the properties. Copy over the example value by clicking it.
  4. Fill in the namespace id and paste the properties you just copied in the properties array.
  5. Update or add new properties
  6. Review the final list in your request body. ⚠️ If you do not include an existing property in this list, it will be overwritten and permanently lost upon submission.
  7. Submit the PUT request to replace the existing property set with your updated list.

If you do not see the endpoints above, you are missing Billingaccount rights, please contact your administrator so they can grant you the necessary rights.

Available Namespace Properties

The following is a table showing the available namespace properties and their purpose:

NameComponentDescriptionExample
iam_group_mappingAuthorizationMappings for external application user groups to our platform user groups (used for SAML){ "groups": { "some_group@some_company.org": 4587849705848832,"some_other_group@some_company.org": 4587845605812632} }
iam_user_property_mappingAuthorizationMapping of external user attributes into Energyworx User attibutes{"city":"last_seen_city", "region":"last_seen_region"}
global_cache_ttlProcessing cachingThis property lets you update the cache time to live for ALL configurations on a namespace. Individual cache TTLs described below have priority over this value specifically for that resource.{"global_cache_ttl":{10}} Default is 600
market_adaptersProcessingUsed to specify which market adapter to use based on a tag available in the ingested file{"market_adapters":{"some_label":123456789}} Where you can specify the MA id.

Process Pool Assignment

Each namespace is assigned to a process pool. Process pools separate data processing into different compute environments, allowing namespaces that share a process pool to share processing resources.

The process pool assignment determines which compute infrastructure is used when processing data for the namespace. To change a namespace's process pool assignment, contact the service desk — a platform deployment is required for changes to take effect.